# Process Utilities

struct WpProcInfo

  WpProcInfo holds information of a process.

WpProcInfo *wp_proc_info_ref(WpProcInfo *self)

  Increases the reference count of a process information object.

  Parameters:

    - self -- a process information object

  Returns:

    (transfer full): self with an additional reference count on it

void wp_proc_info_unref(WpProcInfo *self)

  Decreases the reference count on self and frees it when the ref count reaches zero.

  Parameters:

    - self -- (transfer full): a process information object

pid_t wp_proc_info_get_pid(WpProcInfo *self)

  Gets the PID of a process information object.

  Parameters:

    - self -- the process information object

  Returns:

    the PID of the process information object

pid_t wp_proc_info_get_parent_pid(WpProcInfo *self)

  Gets the parent PID of a process information object.

  Parameters:

    - self -- the process information object

  Returns:

    the parent PID of the process information object

guint wp_proc_info_get_n_args(WpProcInfo *self)

  Gets the number of args of a process information object.

  Parameters:

    - self -- the process information object

  Returns:

    the number of args of the process information object

const gchar *wp_proc_info_get_arg(WpProcInfo *self, guint index)

  Gets the indexed arg of a process information object.

  Parameters:

    - self -- the process information object

    - index -- the index of the arg

  Returns:

    the indexed arg of the process information object

const gchar *wp_proc_info_get_cgroup(WpProcInfo *self)

  Gets the systemd cgroup of a process information object.

  Parameters:

    - self -- the process information object

  Returns:

    the systemd cgroup of the process information object

WpProcInfo *wp_proc_utils_get_proc_info(pid_t pid)

  Gets the process information of a given PID.

  Parameters:

    - pid -- the PID to get the process information from

  Returns:

    : (transfer full): the process information of the given PID

WP_TYPE_PROC_INFO (wp_proc_info_get_type ())

  The WpProcInfo GType.